Bug 735159 - post run script in the rpm raising error on uninstall
Summary: post run script in the rpm raising error on uninstall
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 29
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 16:09 UTC by Partha Aji
Modified: 2012-02-24 20:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:12:38 UTC


Attachments (Terms of Use)

Description Partha Aji 2011-09-01 16:09:00 UTC
I am running on Fedora 15 x86_64.
I have selinux disabled on my machine. I tried removing pulp to fix a config issue with --nodeps and got the following error. The rpm seems to have gotten uninstalled ok, but the postrun scriplet raises an error

I was running -pulp-0.0.223-4.fc15.noarch at that point. Here is the output


[root@dhcp231-31 httpd]# rpm -e pulp --nodeps
warning: /etc/pulp/pulp.conf saved as /etc/pulp/pulp.conf.rpmsave
/usr/sbin/semodule: SELinux policy is not managed or store cannot be accessed.
/usr/sbin/semodule: SELinux policy is not managed or store cannot be accessed.
libsemanage.semanage_direct_remove: Module pulp was not found.
/usr/sbin/semodule:  Failed!
warning: %postun(pulp-0.0.223-4.fc15.noarch) scriptlet failed, exit status 1


Version-Release number of selected component (if applicable):
pulp-0.0.223-4.fc15.noarch

Comment 1 John Matthews 2011-10-28 19:29:42 UTC
Fixed with below commit:

http://git.fedorahosted.org/git/?p=pulp.git;a=commitdiff;h=378e00d22924d3f8cbfb02ac4dc15f58f42548a1


Isssue was that this error message is expected when selinux is not enabled, it's harmless.  Typical solution other packages supporting selinux employ is to direct the output to /dev/null so it doesn't show up.

Comment 2 Jeff Ortel 2011-10-28 23:12:49 UTC
build: 0.244

Comment 3 Preethi Thomas 2011-11-14 13:01:08 UTC
verified

pulp.noarch 0:0.0.248-1.fc15  

[root@preethi ~]# rpm -e pulp --nodeps
warning: /etc/pulp/pulp.conf saved as /etc/pulp/pulp.conf.rpmsave
[root@preethi ~]#

Comment 4 Preethi Thomas 2012-02-24 20:12:38 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.